> For the complete documentation index, see [llms.txt](https://docs.3dolphins.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.3dolphins.ai/5.3.0-id/api/service-api/get-token.md).

# Get Token

Anda dapat menggunakan token ini untuk mendapatkan respons dari server. Di halaman service API, Anda dapat memilih  authorization dan mengklik tombol ‘**Try it out**‘. Kemudian, di bagian body masukkan username dan password Anda dan klik tombol ‘**execute**‘.

| Method     | POST                                                                                                                 |
| ---------- | -------------------------------------------------------------------------------------------------------------------- |
| Media Type | application/json                                                                                                     |
| URL        | http\://\[server]/dolphin/apiv1/graph/auth                                                                           |
| Header     |                                                                                                                      |
| Body       | <p>{<br>     “username”:”\[username]<br>     “password”:”\[password]”<br>}</p>                                       |
| Status     | 200                                                                                                                  |
| Response   | <p>{<br>     “token”:”\[generatedToken]”<br>     “expireAt”: “2020-10-22T17:40:55.372+07:00\[Asia/Jakarta]”<br>}</p> |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.3dolphins.ai/5.3.0-id/api/service-api/get-token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
